### Method

# GLib KeyFile save_to_file

since: 2.40

#### Declaration

    gboolean
    g_key_file_save_to_file (
      GKeyFile* key_file,
      const gchar* filename,
      GError** error
    )

#### Description

Writes the contents of `key_file` to `filename` using g_file_set_contents(). If you need stricter guarantees about durability of the written file than are provided by g_file_set_contents(), use `g_file_set_contents_full()` with the return value of g_key_file_to_data().

This function can fail for any of the reasons that `g_file_set_contents()` may fail.

Available since: 2.40

#### Parameters

`filename`

  Type: `const gchar*`

  The name of the file to write to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, else `FALSE` with `error` set.